libvisio::VSDStyles Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libvisio::VSDStyles Class Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDStyles ()
| VSDStyles (const VSDStyles &styles)
| ~VSDStyles ()
VSDStyles & | operator= (const VSDStyles &styles)
void | addLineStyle (unsigned lineStyleIndex, const VSDOptionalLineStyle &lineStyle)
void | addFillStyle (unsigned fillStyleIndex, const VSDOptionalFillStyle &fillStyle)
void | addTextBlockStyle (unsigned textStyleIndex, const VSDOptionalTextBlockStyle &textBlockStyle)
void | addCharStyle (unsigned textStyleIndex, const VSDOptionalCharStyle &charStyle)
void | addParaStyle (unsigned textStyleIndex, const VSDOptionalParaStyle &paraStyle)
void | addStyleThemeReference (unsigned styleIndex, const VSDOptionalThemeReference &themeRef)
void | addLineStyleMaster (unsigned lineStyleIndex, unsigned lineStyleMaster)
void | addFillStyleMaster (unsigned fillStyleIndex, unsigned fillStyleMaster)
void | addTextStyleMaster (unsigned textStyleIndex, unsigned textStyleMaster)
VSDOptionalLineStyle | getOptionalLineStyle (unsigned lineStyleIndex) const
VSDFillStyle | getFillStyle (unsigned fillStyleIndex) const
VSDOptionalFillStyle | getOptionalFillStyle (unsigned fillStyleIndex) const
VSDOptionalTextBlockStyle | getOptionalTextBlockStyle (unsigned textStyleIndex) const
VSDOptionalCharStyle | getOptionalCharStyle (unsigned textStyleIndex) const
VSDOptionalParaStyle | getOptionalParaStyle (unsigned textStyleIndex) const
VSDOptionalThemeReference | getOptionalThemeReference (unsigned styleIndex) const

## Private Attributes
std::map< unsigned, VSDOptionalLineStyle > | m_lineStyles
std::map< unsigned, VSDOptionalFillStyle > | m_fillStyles
std::map< unsigned, VSDOptionalTextBlockStyle > | m_textBlockStyles
std::map< unsigned, VSDOptionalCharStyle > | m_charStyles
std::map< unsigned, VSDOptionalParaStyle > | m_paraStyles
std::map< unsigned, VSDOptionalThemeReference > | m_themeRefs
std::map< unsigned, unsigned > | m_lineStyleMasters
std::map< unsigned, unsigned > | m_fillStyleMasters
std::map< unsigned, unsigned > | m_textStyleMasters

## Constructor & Destructor Documentation

## § VSDStyles() [1/2]

libvisio::VSDStyles::VSDStyles | ( |  | ) |

## § VSDStyles() [2/2]

libvisio::VSDStyles::VSDStyles | ( | const VSDStyles & | styles | ) |

## § ~VSDStyles()

libvisio::VSDStyles::~VSDStyles | ( |  | ) |

## Member Function Documentation

## § addCharStyle()

void libvisio::VSDStyles::addCharStyle | ( | unsigned | textStyleIndex,
|  | const VSDOptionalCharStyle & | charStyle
| ) |  |

Referenced by libvisio::VSDContentCollector::collectCharIXStyle().

## § addFillStyle()

void libvisio::VSDStyles::addFillStyle | ( | unsigned | fillStyleIndex,
|  | const VSDOptionalFillStyle & | fillStyle
| ) |  |

Referenced by libvisio::VSDContentCollector::collectFillStyle().

## § addFillStyleMaster()

void libvisio::VSDStyles::addFillStyleMaster | ( | unsigned | fillStyleIndex,
|  | unsigned | fillStyleMaster
| ) |  |

Referenced by libvisio::VSDContentCollector::collectStyleSheet().

## § addLineStyle()

void libvisio::VSDStyles::addLineStyle | ( | unsigned | lineStyleIndex,
|  | const VSDOptionalLineStyle & | lineStyle
| ) |  |

Referenced by libvisio::VSDContentCollector::collectLineStyle().

## § addLineStyleMaster()

void libvisio::VSDStyles::addLineStyleMaster | ( | unsigned | lineStyleIndex,
|  | unsigned | lineStyleMaster
| ) |  |

Referenced by libvisio::VSDContentCollector::collectStyleSheet().

## § addParaStyle()

void libvisio::VSDStyles::addParaStyle | ( | unsigned | textStyleIndex,
|  | const VSDOptionalParaStyle & | paraStyle
| ) |  |

Referenced by libvisio::VSDContentCollector::collectParaIXStyle().

## § addStyleThemeReference()

void libvisio::VSDStyles::addStyleThemeReference | ( | unsigned | styleIndex,
|  | const VSDOptionalThemeReference & | themeRef
| ) |  |

Referenced by libvisio::VSDContentCollector::collectStyleThemeReference().

## § addTextBlockStyle()

void libvisio::VSDStyles::addTextBlockStyle | ( | unsigned | textStyleIndex,
|  | const VSDOptionalTextBlockStyle & | textBlockStyle
| ) |  |

Referenced by libvisio::VSDContentCollector::collectTextBlockStyle().

## § addTextStyleMaster()

void libvisio::VSDStyles::addTextStyleMaster | ( | unsigned | textStyleIndex,
|  | unsigned | textStyleMaster
| ) |  |

Referenced by libvisio::VSDContentCollector::collectStyleSheet().

## § getFillStyle()

libvisio::VSDFillStyle libvisio::VSDStyles::getFillStyle | ( | unsigned | fillStyleIndex | ) | const

Referenced by libvisio::VSDContentCollector::collectShape().

## § getOptionalCharStyle()

libvisio::VSDOptionalCharStyle libvisio::VSDStyles::getOptionalCharStyle | ( | unsigned | textStyleIndex | ) | const

Referenced by libvisio::VSDContentCollector::collectShape().

## § getOptionalFillStyle()

libvisio::VSDOptionalFillStyle libvisio::VSDStyles::getOptionalFillStyle | ( | unsigned | fillStyleIndex | ) | const

Referenced by libvisio::VSDContentCollector::collectShape(), and getFillStyle().

## § getOptionalLineStyle()

libvisio::VSDOptionalLineStyle libvisio::VSDStyles::getOptionalLineStyle | ( | unsigned | lineStyleIndex | ) | const

Referenced by libvisio::VSDContentCollector::collectShape().

## § getOptionalParaStyle()

libvisio::VSDOptionalParaStyle libvisio::VSDStyles::getOptionalParaStyle | ( | unsigned | textStyleIndex | ) | const

Referenced by libvisio::VSDContentCollector::collectShape().

## § getOptionalTextBlockStyle()

libvisio::VSDOptionalTextBlockStyle libvisio::VSDStyles::getOptionalTextBlockStyle | ( | unsigned | textStyleIndex | ) | const

Referenced by libvisio::VSDContentCollector::collectShape().

## § getOptionalThemeReference()

libvisio::VSDOptionalThemeReference libvisio::VSDStyles::getOptionalThemeReference | ( | unsigned | styleIndex | ) | const

## § operator=()

libvisio::VSDStyles & libvisio::VSDStyles::operator= | ( | const VSDStyles & | styles | ) |

## Member Data Documentation

## § m_charStyles

std::map<unsigned, VSDOptionalCharStyle> libvisio::VSDStyles::m_charStyles
| private

Referenced by addCharStyle(), getOptionalCharStyle(), and operator=().

## § m_fillStyleMasters

std::map<unsigned, unsigned> libvisio::VSDStyles::m_fillStyleMasters
| private

Referenced by addFillStyleMaster(), getOptionalFillStyle(), and operator=().

## § m_fillStyles

std::map<unsigned, VSDOptionalFillStyle> libvisio::VSDStyles::m_fillStyles
| private

Referenced by addFillStyle(), getOptionalFillStyle(), and operator=().

## § m_lineStyleMasters

std::map<unsigned, unsigned> libvisio::VSDStyles::m_lineStyleMasters
| private

Referenced by addLineStyleMaster(), getOptionalLineStyle(), and operator=().

## § m_lineStyles

std::map<unsigned, VSDOptionalLineStyle> libvisio::VSDStyles::m_lineStyles
| private

Referenced by addLineStyle(), getOptionalLineStyle(), and operator=().

## § m_paraStyles

std::map<unsigned, VSDOptionalParaStyle> libvisio::VSDStyles::m_paraStyles
| private

Referenced by addParaStyle(), getOptionalParaStyle(), and operator=().

## § m_textBlockStyles

std::map<unsigned, VSDOptionalTextBlockStyle> libvisio::VSDStyles::m_textBlockStyles
| private

Referenced by addTextBlockStyle(), getOptionalTextBlockStyle(), and operator=().

## § m_textStyleMasters

std::map<unsigned, unsigned> libvisio::VSDStyles::m_textStyleMasters
| private

Referenced by addTextStyleMaster(), getOptionalCharStyle(), getOptionalParaStyle(), getOptionalTextBlockStyle(), and operator=().

## § m_themeRefs

std::map<unsigned, VSDOptionalThemeReference> libvisio::VSDStyles::m_themeRefs
| private

Referenced by addStyleThemeReference(), and operator=().

The documentation for this class was generated from the following files:

- VSDStyles.h
- VSDStyles.cpp